data:extend({	
	--[ basic tech
	{
		type = "technology",
		name = "Smelting-1",
		icon = "__Smelting__/graphics/icons/tech/advanced-material-processing.png",
		--
		prerequisites = {"steel-processing"},
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "s-furnace"
		  },
		  {
			type = "unlock-recipe",
			recipe = "s-casting"
		  },
		  {
			type = "unlock-recipe",
			recipe = "s-press"
		  },
		  {
			type = "unlock-recipe",
			recipe = "iron-smelting-1"
		  },
		  {
			type = "unlock-recipe",
			recipe = "copper-smelting-1"
		  },
		  {
			type = "unlock-recipe",
			recipe = "iron-sheet-roll-S"
		  },
		  {
			type = "unlock-recipe",
			recipe = "copper-sheet-roll-S"
		  },
		  {
			type = "unlock-recipe",
			recipe = "steel-sheet-roll-S"
		  },
		  {
			type = "unlock-recipe",
			recipe = "iron-plate-S"
		  },
		  {
			type = "unlock-recipe",
			recipe = "copper-plate-S"
		  },
		  {
			type = "unlock-recipe",
			recipe = "steel-plate-S"
		  },
		},
		unit =
		{
		  count = 150,
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
		  },
		  time = 20
		},
		order = "e-f-a"
	},
	--]]
	
	
	--[ smelting
	
	{
		type = "technology",
		name = "Smelting-2",
		upgrade = true,
		icon = "__Smelting__/graphics/icons/tech/advanced-material-processing.png",
		prerequisites = {"Smelting-1"},
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "iron-smelting-2"
		  },
		  {
			type = "unlock-recipe",
			recipe = "copper-smelting-2"
		  },
		},
		unit =
		{
		  count = 450,
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
		  },
		  time = 30
		},
		order = "e-f-b"
		},
		
		{
		type = "technology",
		name = "Smelting-3",
		upgrade = true,
		icon = "__Smelting__/graphics/icons/tech/advanced-material-processing.png",
		prerequisites = {"Smelting-2"},
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "iron-smelting-3"
		  },
		  {
			type = "unlock-recipe",
			recipe = "copper-smelting-3"
		  },
		},
		unit =
		{
		  count = 500,
		  ingredients =
		  {
			{"science-pack-1", 2},
			{"science-pack-2", 2},
			{"science-pack-3", 1},
		 },
		  time = 45
		},
		order = "e-f-c"
	},
  --]]
	
	
	--[ solidification
	
	{
		type = "technology",
		name = "Solidification-2",
		icon = "__Smelting__/graphics/icons/tech/solidif.png",
		prerequisites = {"Smelting-1"},
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "iron-sheet-roll-M"
		  },
		  {
			type = "unlock-recipe",
			recipe = "copper-sheet-roll-M"
		  },
		  {
			type = "unlock-recipe",
			recipe = "steel-sheet-roll-M"
		  },
		  {
			type = "unlock-recipe",
			recipe = "iron-plate-M"
		  },
		  {
			type = "unlock-recipe",
			recipe = "copper-plate-M"
		  },
		  {
			type = "unlock-recipe",
			recipe = "steel-plate-M"
		  },
		},
		unit =
		{
		  count = 300,
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
		  },
		  time = 30
		},
		order = "e-f-d"
	},
	
	{
		type = "technology",
		name = "Solidification-3",
		upgrade = true,
		icon = "__Smelting__/graphics/icons/tech/solidif.png",
		prerequisites = {"Solidification-2","Smelting-2"},
		effects =
		{
		  
		  {
			type = "unlock-recipe",
			recipe = "iron-sheet-roll-L"
		  },
		  {
			type = "unlock-recipe",
			recipe = "copper-sheet-roll-L"
		  },
		  {
			type = "unlock-recipe",
			recipe = "steel-sheet-roll-L"
		  },
		  {
			type = "unlock-recipe",
			recipe = "iron-plate-L"
		  },
		  {
			type = "unlock-recipe",
			recipe = "copper-plate-L"
		  },
		  {
			type = "unlock-recipe",
			recipe = "steel-plate-L"
		  },
		},
		unit =
		{
		  count = 400,
		  ingredients =
		  {
			{"science-pack-1", 2},
			{"science-pack-2", 2},
			{"science-pack-3", 1},
		  },
		  time = 60
		},
		order = "e-f-e"
	},
	
	{
		type = "technology",
		name = "Smelting-2",
		upgrade = true,
		icon = "__Smelting__/graphics/icons/tech/advanced-material-processing.png",
		prerequisites = {"Smelting-1"},
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "iron-smelting-2"
		  },
		  {
			type = "unlock-recipe",
			recipe = "copper-smelting-2"
		  },
		},
		unit =
		{
		  count = 450,
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
		  },
		  time = 30
		},
		order = "e-f-f"
	},

	-- Extrusion (spool, copper wire roll, and copper wire cutting)
	{
		type = "technology",
		name = "Smelting-Extrusion-1",
		icon = "__Smelting__/graphics/icons/tech/advanced-material-processing.png",
		prerequisites = {"Smelting-1", "plastics"},
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "copper-wire-roll-S"
		  },
		  {
			type = "unlock-recipe",
			recipe = "copper-cable-S"
		  },
		  {
			type = "unlock-recipe",
			recipe = "plastic-spool"
		  },
		},
		unit =
		{
		  count = 75,
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
		 },
		  time = 30
		},
		order = "e-f-g"
	},
	
	{
		type = "technology",
		name = "Smelting-Extrusion-2",
		icon = "__Smelting__/graphics/icons/tech/advanced-material-processing.png",
		prerequisites = {"Solidification-2","Smelting-Extrusion-1"},
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "copper-wire-roll-M"
		  },
		  {
			type = "unlock-recipe",
			recipe = "copper-cable-M"
		  },
		},
		unit =
		{
		  count = 100,
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
			{"science-pack-3", 1},
		  },
		  time = 30
		},
		order = "e-f-h"
	},
	
	{
		type = "technology",
		name = "Smelting-Extrusion-3",
		icon = "__Smelting__/graphics/icons/tech/advanced-material-processing.png",
		upgrade = true,
		prerequisites = {"Solidification-3","Smelting-Extrusion-2"},
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "copper-wire-roll-L"
		  },
		  {
			type = "unlock-recipe",
			recipe = "copper-cable-L"
		  },
		},
		unit =
		{
		  count = 100,
		  ingredients =
		  {
			{"science-pack-1", 2},
			{"science-pack-2", 2},
			{"science-pack-3", 1},
		  },
		  time = 60
		},
		order = "e-f-i"
	},
  --]]
  
	-- Augmenting stock recipes
	{
		type = "technology",
		name = "Hot-Fluid-Handling",
		icon = "__base__/graphics/technology/fluid-handling.png",
		prerequisites = {"fluid-handling"},
		effects =
		{
			{type = "unlock-recipe", recipe = "heated-storage-tank"},
			{type = "unlock-recipe", recipe = "heavy-pump"},
		},
		unit =
		{
			count = 60,
			ingredients = {{"science-pack-1", 2}, {"science-pack-2", 1}},
			time = 20
		},
		order = "d-a-ab"
	},
})
